All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Class DesignTimeDropResult

    com.sas.DesignTimeDropResult

All Implemented Interfaces:
  com.sas.PublicClonable, java.lang.Cloneable

    public class DesignTimeDropResult

implements com.sas.PublicClonable

DesignTimeDropResult is a "structure" class which returns data from a component which implements the DesignTimeDropTargetInterface. The drop method returns an instance of this class.

Field Summary
`java.lang.Object` | `component`
`java.awt.Component` | `container`
`static int` | `dragCopy`
`static int` | `dragIndeterminate`
`static int` | `dragLink`
`static int` | `dragMove`
`static int` | `dragNone`
`java.awt.Rectangle` | `location`
`boolean` | `model`
`static int` | `representationAttribute`
`static int` | `representationComponent`
`static int` | `representationModel`
`static int` | `representationViewer`
`java.lang.Object` | `viewer`

Constructor Summary
`DesignTimeDropResult()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `toString()`

Field Detail

### representationComponent

    public static final int representationComponent

See Also:
  Constant Field Values

### representationModel

    public static final int representationModel

See Also:
  Constant Field Values

### representationAttribute

    public static final int representationAttribute

See Also:
  Constant Field Values

### representationViewer

    public static final int representationViewer

See Also:
  Constant Field Values

### dragIndeterminate

    public static final int dragIndeterminate

See Also:
  Constant Field Values

### dragMove

    public static final int dragMove

See Also:
  Constant Field Values

### dragCopy

    public static final int dragCopy

See Also:
  Constant Field Values

### dragLink

    public static final int dragLink

See Also:
  Constant Field Values

### dragNone

    public static final int dragNone

See Also:
  Constant Field Values

### model

    public boolean model

### viewer

    public java.lang.Object viewer

### container

    public java.awt.Component container

### location

    public java.awt.Rectangle location

### component

    public java.lang.Object component

Constructor Detail

### DesignTimeDropResult

    public DesignTimeDropResult()

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.